Subject: Re: bug#10849: 1.11.3 on OSX Lion with Clang - 4 of 788 tests failed

From: Stefano Lattarini <[email-masked]>
Date: Mon, 20 Feb 2012 10:29:42 +0100

Thanks for the report.

On 02/20/2012 04:30 AM, Panther Martin wrote:
> 
> I would also like to report 4 of 788 tests failed with Clang using:
> 
>     Mac OSX 10.7.3 Lion
>     clang-3.1 (318)
>     automake-1.11.3
>     autoconf-2.68
>     gawk-4.0.0
> 
> 
> Attached are my test results.  I think I noticed some were minor things,
> where the test code met unexpected arguments in my CFLAGS.  Those
> are probably fixed in HEAD already,
>
It's correct that the testsuite code in the master branch is more careful
and faithful in respecting the user choice of compilers and their flags.
In case you feel like giving it a try, that would be much appreciated (as I
cannot test on a MacOS X system myself).

And I see that, apart from the 'conffile-leading-dot.test' failure (that you
have already reported in bug#10848), all the other failures are due to GCC
getting unexpected values of CFLAGS... and this, as you've guessed, should
already be fixed in master.  So I'm closing this bug report.

In case you decide to test the master branch with Clang and run into
similar problems, feel free to open a new bug report.

Thanks again,
  Stefano